---

# List of zones for which this name server is authoritative
named_zones: []
# List of acls.
named_acls: []
# Key binding for secondary servers
named_dns_keys: []
#  - name: primary_key
#    algorithm: hmac-sha256
#    secret: "azertyAZERTY123456"

# List of IPv4 address of the network interface(s) to listen on. Set to "any"
# to listen on all interfaces
named_listen_ipv4:
  - 127.0.0.1

# The list of ports to listen on for IPv4 addresses
named_listen_ipv4_port:
  - 53

# List of IPv6 address of the network interface(s) to listen on.
named_listen_ipv6:
  - ::1

# The list of ports to listen on for IPv6 addresses
named_listen_ipv6_port:
  - 53

# List of hosts that are allowed to query this DNS server.
named_allow_query:
  - localhost

# A key-value list mapping server-IPs to TSIG keys for signing requests
named_key_mapping: {}
# Determines whether recursion should be allowed. Typically, an authoritative
# name server should have recursion turned OFF.
named_recursion: false
named_allow_recursion:
  - any

# Allows BIND to be set up as a caching name server
named_forward_only: false

# List of name servers to forward DNS requests to.
named_forwarders: []
# DNS round robin order (random or cyclic)
named_rrset_order: random

# statistics channels configuration
named_statistics_channels: false
named_statistics_port: 8053
named_statistics_host: 127.0.0.1
named_statistics_allow:
  - 127.0.0.1

# DNSSEC configuration
named_dnssec_enable: true
named_dnssec_validation: true

named_extra_include_files: []
# SOA information
named_zone_ttl: 1W
named_zone_time_to_refresh: 1D
named_zone_time_to_retry: 1H
named_zone_time_to_expire: 1W
named_zone_minimum_ttl: 1D

# File mode for primary zone files (needs to be something like 0660 for dynamic updates)
named_zone_file_mode: "0640"

# DNS64 support
named_dns64: false
named_dns64_clients:
  - any

# Set Python version
named_python_version: "{{ named_default_python_version }}"

# Log file
named_log: data/named.run
